import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, c = p.length - 1, l; c >= 0; c--)
    (l = p[c]) && (e = (r ? l(t, s, e) : l(e)) || e);
  return r && e && g(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--clockLarge", this.class = "c-pieIcon c-pieIcon--clockLarge", this.name = "IconClockLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--clockLarge"><path d="m20.795 20.253-5.67-3.404V9h1.75v6.851l4.83 2.896z"></path><path d="M16 28.25a12.25 12.25 0 1 1 0-24.5 12.25 12.25 0 0 1 0 24.5M16 5.5a10.5 10.5 0 1 0 0 21 10.5 10.5 0 0 0 0-21"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-clock-large")
], o);
export {
  o as IconClockLarge
};
